#! /usr/local/bin/perl

# Last modified 2/6/98
# by Ozgur balsoy

#############################################################################
#  
#   GLOBAL VARIABLES
#
#############################################################################

$SENDMAIL = "/usr/lib/sendmail";

#############################################################################
#  
#   MAIN FUNCTION
#
#############################################################################

&ReadEntry;
&printResults;

#############################################################################
#  
#   SUBROUTINES
#
#############################################################################


sub ReadEntry {
   &Parse(&Read);     # Read arguments passed from fill-out form
   return 1;
}


sub printResults {

&printHeader;

open(MAIL, "| $SENDMAIL -t") || die ("<h2>ERROR: Can't open mail program.\n");

print MAIL "Reply-to: $in{'ReplyTo'}\n";

# If the following line is open, mail is directed to majordomo,
# and the control over the TO address is taken from the user.
#print MAIL "To: majordomo@npac.syr.edu\n";

print MAIL "To: $in{'To'}\n";   # comment out this if the previous line is open.
print MAIL "Subject: Class email address list\n";
print MAIL "X-Comments: =============================================================\n";
print MAIL "X-Comments: NOTE:  This message was sent through the NPAC Grading System \n";
print MAIL "X-Comments: =============================================================\n";
print MAIL "X-Comments: HOST:      $ENV{'REMOTE_HOST'} ($ENV{'REMOTE_ADDR'})\n";
print MAIL "X-Comments: BROWSER:   $ENV{'HTTP_USER_AGENT'}\n";
print MAIL "X-Comments: =============================================================\n";
print MAIL "\n";

@addresses = split(/\n/,$in{'Emails'});
foreach $address (@addresses) {
    print MAIL "$in{'Header'} $address\n";
}

print "<h2>Mail has been sent to $in{'To'}.";
print MAIL "\n";
close(MAIL);
&printFooter;

}

##############################################################################
#
#  Get information from fill-out form.
#
##############################################################################


# Returns the magic line which tells WWW that this is an HTML document
sub printHeader {
  print "Content-type: text/html\n\n";
  print "<html> $title<body bgcolor=white>&nbsp;";
}

sub printFooter {
  print "$signature </body></html>\n";
}

# reads the arguments passed from the form
sub Read {
    local ($i, $loc, $key, $val);

    if ($ENV{'REQUEST_METHOD'} eq "GET") {                      # Read in text
       $in = $ENV{'QUERY_STRING'};
    } elsif ($ENV{'REQUEST_METHOD'} eq "POST") {
      for ($i = 0; $i < $ENV{'CONTENT_LENGTH'}; $i++) {
        $in .=getc;
      }
    }
    return $in;
}

sub Parse {
    $in = $_[0];
    local ($i, $loc, $key, $val);

    @in = split(/&/,$in);

    foreach $i (0 .. $#in) {
      $in[$i] =~ s/\+/ /g;                          # Convert pluses to spaces
      $in[$i] =~ s/%(..)/pack("c",hex($1))/ge;
                                # Convert %XX from hex numbers to alphanumeric
      $loc = index($in[$i], "=");                  # Split onto key and value.
      $key = substr($in[$i],0,$loc);
      $val = substr($in[$i],$loc+1);
#      $in{$key} .= '\0' if (defined($in{$key})); # \0 is the multiple separator
#      $in{$key} .= $val;
      $in{$key} = $val;
   }
   return 1; 
}


##############################################################################
#
#  Sub programs
#
##############################################################################

