<?xml version="1.0"?> 

<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns:lxslt="http://xsl.lotus.com/"
   xmlns="http://www.w3.org/TR/REC-html40" 
   result-ns="">

   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><> main <><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->

   
<xsl:template match="/">
   <HTML>
      <head>
	 <SCRIPT LANGUAGE="JavaScript"><![CDATA[]]></SCRIPT>
      </head>
      <BODY bgcolor="white">
	    <!--xsl:apply-templates select="course/layouts"/-->
	    <xsl:apply-templates select="course/quiz/question" mode="show"/>
      </BODY>
   </HTML>
</xsl:template>

   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><> templates<><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->

<!-- ============================================================ -->
   <xsl:template match="question" mode="show">
      <xsl:sort select="qid"/>

      <table width="100%"><th bgcolor="cyan"  >
	 <xsl:value-of select="/course/coursename" /> - 
	 <xsl:value-of select="/course/quiz/quizname" />
      </th></table>



      <h1><font color="red">Question <xsl:value-of select="/course/quiz/question/qid" />: </font></h1>
      <b><xsl:value-of select="qtext" /></b>
      <br/>
      <font color="blue">
	 <xsl:value-of select="detail/feedback" />
      </font>
      <xsl:apply-templates select="type"/>


      <h1><font color="red">Score: 
	 <xsl:value-of select="std-score"/></font>/<xsl:value-of select="points"/>
      </h1>

      <form><b><input type="button" value="CLOSE THIS" onClick="self.close()"/></b></form>

      <table width="100%"><th bgcolor="cyan"  >* * *</th></table>
      
   </xsl:template>
   


<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table>
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/@xname"/>
	       <br>
	       </br> 
	       <xsl:apply-templates select="xsllayout">
		  <xsl:sort select="@xname" />
	       </xsl:apply-templates>
	    </th>
	 </tr>
      </table>

   </xsl:template>
<!-- *============================================================ -->   
   <xsl:template match="xsllayout" >

      [<A href="http://{@xfile}">0 <xsl:value-of select="@xname"/> 0 </A>]

   </xsl:template>
<!-- *============================================================ -->   

  <xsl:template match="type[.='mc']">

      <xsl:choose>
	 <xsl:when test="../detail/choice='1'">
	    <xsl:variable name="selectiontype" >RADIO</xsl:variable>
	 </xsl:when>
	 <xsl:otherwise>
	    <xsl:variable name="selectiontype" >CHECKBOX</xsl:variable>
	 </xsl:otherwise>
      </xsl:choose>


      <form>
	 <xsl:for-each select="../detail/mcanswers/answer">
	    <input>  
	       <xsl:attribute name="TYPE"><xsl:value-of select="$selectiontype" /></xsl:attribute>
	       <xsl:attribute name="name">a<xsl:value-of select="../../../qid" /></xsl:attribute>
	       <xsl:attribute name="value"><xsl:value-of select="text" /></xsl:attribute>
	       <xsl:if test="std-selected='YES'">
		  <xsl:attribute name="CHECKED"></xsl:attribute>
	       </xsl:if>
	       <xsl:value-of select="text" />    
	       <xsl:if test="std-selected='YES'">   
		  <xsl:attribute name="CHECKED"></xsl:attribute>
		  <b>
		     <font color="red"> ---> <xsl:value-of select="val" /> </font>
		     (<font color="blue"><xsl:value-of select="feedback" /></font>)
		  </b>
	       </xsl:if>
	    </input>
	    
	    <br/>
	 </xsl:for-each>
	 
      </form>



  </xsl:template>
<!-- *============================================================ -->   

  <xsl:template match="type[.='prg']">

     <p><pre><xsl:value-of select="../std-wrote" /></pre></p>


  </xsl:template>
<!-- *############################################################ -->   
<!-- *############################################################ -->   
<!-- *============================================================ -->   



   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><> end  <><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
</xsl:stylesheet>














