<?xml version="1.0"?> 

<!--xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns="http://www.w3.org/TR/REC-html40" 
   xmlns:lxslt="http://xsl.lotus.com/"
result-ns="">


   
   
   <xsl:template match="/">
      <HTML>
	 <head><SCRIPT LANGUAGE="JavaScript">
	    var first=true;
	    var host="<xsl:value-of select="course/global/host"/>/<xsl:value-of select="course/global/servlet"/>";
	    var quizname="<xsl:value-of select="course/quiz/quizname"/>";
	    var coursename="<xsl:value-of select="course/coursename"/>";
	    var user="<xsl:value-of select="course/user/unum"/>";
	    <![CDATA[
	       function flag(qid){
	          if (first)
	                if( confirm("Do you really want to submit the exam?"))
	                      document.location=host+"/gs.admin.xTakeExam?comm=LISTQUESTIONS&unum="+user+"&course="+coursename+"&quizname="+quizname;
		  first=false;
	       }
	       
	       function switchQuestionBank(){}
	       function prepareExam(){}
	       function getFromDB(){
	       document.location=host+"/gs.admin.xQuestionBank?comm=QUESTIONBANKLIST&unum="+user+"&course="+coursename+"&quizname="+quizname;
	       top.info.document.location=host+"/gs.admin.xQuestionBank/HtdocsGrdSys/qb/info.xsl?comm=RETURN&unum="+user+"&course="+coursename+"&quizname="+quizname;
	       }
	       function init() {
	       top.info.document.location=host+"/gs.admin.xQuestionBank/HtdocsGrdSys/questions/info.xsl?comm=RETURN&unum="+user+"&course="+coursename+"&quizname="+quizname;
	       
	       }
	       ]]>
	    </SCRIPT>
	 </head>
	 <BODY bgcolor="yellow" onLoad="init()">
	    <xsl:apply-templates select="course/layouts"/>
	    <xsl:call-template name="header"/>
	    <xsl:variable name="url"><xsl:value-of select="/course/global/host"/>/<xsl:value-of select="/course/global/servlet"/>/gs.admin.xQuestions/?quizname=<xsl:value-of select="/course/quiz/quizname"/>&amp;course=<xsl:value-of select="/course/coursename"/>&amp;unum=<xsl:value-of select="/course/user/unum"/>&amp;comm=</xsl:variable>
	    <TABLE WIDTH="100%" ALIGN="center" BORDER="1">
	       <TR>
		  <TH colspan="4" bgcolor="LemonChiffon"> <xsl:value-of select="course/coursename"/> <s/><font color="blue">
		     <xsl:value-of select="course/quiz/quizname"/></font> 
		     Question List 
		  </TH> 
	       </TR>
	       <xsl:apply-templates select="course/quiz/question" >
		  <xsl:sort select="qid" data-type="number"/>
	       </xsl:apply-templates>
	    </TABLE>
	    
	    <form name="exam" 
	       action="{/course/global/host}/{/course/global/servlet}/gs.admin.xTakeExam"
	       method="POST"
	       target="info"
	       >
	       <input type="hidden" name="unum"  value="{/course/user/unum}"/>
	       <input type="hidden" name="course" value="{/course/coursename}"/>
	       <input type="hidden" name="quizname" value="{/course/quiz/quizname}"/>
	       <input type="hidden" name="comm" value="TAKEQUIZ"/>
	       <center>
		  <table>
		     <th >
			<input type="button" name="x" value=" SEE EXAM " onClick="this.form.submit()"/>
			<input type="button" name="y" value=" QUESTION BANK " onClick="getFromDB()"/>
		     </th>
		  </table>
	       </center>
	    </form>
	 </BODY>
      </HTML>
   </xsl:template>



   <xsl:variable name="image" ><xsl:value-of select="/course/global/images"/>/</xsl:variable>
   
<!-- =========================================<font color="yellow"><b>Q</b></font>=================== -->
   <xsl:template match="question" >
      <tr>
	 <td align="center" bgcolor="#ffcc66"><font color="red" size="-1"><xsl:value-of select="category"/></font></td>
	 <td bgcolor="LemonChiffon">
	    <xsl:value-of select="qid"/>.<A href="{$url}METADATA&amp;qid={qid}" target="info"><xsl:value-of select="qtitle"/></A>
	 </td>
	 <td align="center" bgcolor="brown">
	    <A href="{$url}QUESTION&amp;qid={qid}"  target="info"><img src="{$image}editquestion.gif" border="0" align="ABSCENTER" alt="Prepare Question"/></A>
	 </td>
	 <td align="center" bgcolor="cyan"><A href="{$url}RECYCLE&amp;qid={qid}"  target="message" onClick='open ("","message","scrollbars=1,resizable=1,width=300,height=200");' ><img src="{$image}recycle.gif" border="0" align="ABSCENTER" alt="Copy to Question Bank"/></A></td>
      </tr>
   </xsl:template>
   

<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table width="100%">
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/questionLIST/@xname"/>
	       <br>
	       </br> 
	       <xsl:apply-templates select="questionLIST">
		  <xsl:sort select="@xname" />
	       </xsl:apply-templates>
	    </th>
	 </tr>
      </table>

   </xsl:template>

<!-- *============================================================ -->   
   <xsl:template match="questionLIST" >

      [<A href="http://{./@xfile}"> <xsl:value-of select="./@xname"/>  </A>]

   </xsl:template>

<!-- *============================================================ -->   

<!-- *============================================================ -->   
   <xsl:template name="header" >
      <table width="100%">
	 <tr><td bgcolor="blue" align="center"><font face="helvetica" size="+1" color="white"> <b>Questions </b></font></td></tr>
	 <tr>
	    <form>
	       <td bgcolor="white" align="center">
		  <font color="blue">
		     <b>
			<samp>
			   <input type="button" value="ADD" onClick="add()"/>
			   <a href="{/course/global/help}/question.html" target="help">
			      <img src="{$image}mans.gif" border="0" align="ABSCENTER"/>
			   </a>
			   <input type="button" value="BACK" onClick=" self.history.go(-1); "/>
			   <input type="button" value="RELOAD" onClick=" document.location.reload(); "/>
			</samp> 
		     </b>
		  </font>
	       </td>
	    </form>
	 </tr>
      </table>
      
   </xsl:template>
   
<!-- *============================================================ -->   


   
</xsl:stylesheet>

