<?xml version="1.0"?> 

<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns:lxslt="http://xsl.lotus.com/"
   xmlns="http://www.w3.org/TR/REC-html40" 
   result-ns="">

 
<xsl:template match="/">
   <HTML>
      <head>
	 <SCRIPT LANGUAGE="JavaScript">
	    var f="<xsl:value-of select="/course/function" />";
	    var QUESTIONTYPE="<xsl:value-of select="/course/quiz/question/type" />";
	    
	    <![CDATA[
	    ///////////////////////////////////////////////////////
	    ///////////////////////////////////////////////////////
	    ///////////////////////////////////////////////////////
	    ///////////////////////////////////////////////////////
	    ///////////////////////////////////////////////////////
	    var deleted=-1;
	    var addanswer=false;
	    var grade="";
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    ///////////////////////////////////////////////////////

	function gradeQuestion (qid,ans){
	  if (f.indexOf("xQuestionBank") >0)
	    document.showq.comm.value="GRADEQUESTIONFROMQB";
	  else
	    document.showq.comm.value="GRADEQUESTION";
	  grade="<student><response><asked>"+qid.value+"</asked>";

	  //~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	  if ( "mc"==QUESTIONTYPE)
	    mcgrade(ans);
	  else if ( "prg"==QUESTIONTYPE)    
	    prggrade(ans);
	  //_____________________________

	  grade+="</response></student>";
	  document.showq.grade.value=grade;
	  // alert(document.showq.grade.value);
	  document.showq.course.value=document.question.course.value;
	  document.showq.quizname.value=document.question.quizname.value;
	  document.showq.qid.value=document.question.qid.value;
	  document.showq.unum.value=document.question.unum.value;
	  open ("","grade","scrollbars=1,resizable=1,width=600,height=500");
	  document.showq.submit();
	}

	function prggrade(ans){
	  grade+="<returned>"+ans.value+"</returned>";
	}

	function mcgrade(ans){
	  alert("mcgrade");
	  for (var r=0;r<ans.length;r++)
	    if (ans[r].checked) 
	      grade+="<returned>"+ans[r].value+"</returned>";
	}

	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    ///////////////////////////////////////////////////////
	    function addANSWER(num){
	      document.question.comm.value="ADDANSWER";
	      addanswer=true;
	      collectData();
	      document.question.submit();
	    }
	    ///////////////////////////////////////////////////////
	    function deleteANSWER(num){
	      document.question.comm.value="DELETEANSWER";
	      deleted=num;
	      collectData();
	      document.question.submit();
	    }
	    ///////////////////////////////////////////////////////
	    function newq(){
	      document.question.comm.value="NEW";
	      document.question.submit();
	    }
	    ///////////////////////////////////////////////////////
	    function getsel(rb){
	      for (var r=0;r<rb.length;r++){
		if (rb[r].checked)
		  return r;
	      }
	
	      return 0; 
	    }
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    ///////////////////////////////////////////////////////
	    function addtag(name,val){
	      document.question.detail.value+="<"+name+">"+val+"</"+name+">";
	    }
	    ///////////////////////////////////////////////////////
	    function add_rb(name,rb){
	      var s=getsel(rb);
	      var rval=rb[s].value;
	      //   alert(rval);
	      document.question.detail.value+="<"+name+">"+rval+"</"+name+">";
	    }
	    ///////////////////////////////////////////////////////
	    function add_tx(name,tx){
	      document.question.detail.value+="<"+name+">"+tx.value+"</"+name+">";
	    }
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    //\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	    ///////////////////////////////////////////////////////
	    ///////////////////////////////////////////////////////
	    function collectMCData(){
	      add_rb("choice",document.A.choice);
	      add_rb("scoring",document.A.scoring);
	      add_rb("neg",document.A.neg);
	      add_rb("alayout",document.A.alayout);

	      document.question.detail.value+="<mcanswers>";
	      l=document.A.numofanswers.length;
	      alert(l);
	      for (var i=1;i<l;i++){
		if(i!=deleted) {
		  document.question.detail.value+="<answer>";
		  addtag("val",eval("document.A.val_"+i+".value")); 
		  add_tx("text",eval("document.A.text_"+i)); 
		  add_rb("format",eval("document.A.format_"+i)); 
		  add_tx("feedback",eval("document.A.feedback_"+i)); 
		  add_rb("fformat",eval("document.A.fformat_"+i)); 
		  document.question.detail.value+="</answer>";
		}
	      }
	      if (addanswer){
		document.question.detail.value+="<answer><val>0</val><text></text><format>H</format><feedback></feedback><fformat>H</fformat></answer>";
	      }
	      document.question.detail.value+="</mcanswers>";

	    }
	    ///////////////////////////////////////////////////////
	    function collectPrgData(){

	    }
	    ///////////////////////////////////////////////////////
	    function collectData(){

	      document.question.qtitle.value=document.Q.qtitle.value;
	      document.question.category.value=document.Q.category.value;
	      document.question.qtext.value=document.Q.qtext.value;
	      document.question.points.value=document.Q.points.value;
	      document.question.detail.value="<detail>";

	      //add_tx("text",document.Q.text);
	      add_rb("format",document.Q.format);
	      add_tx("feedback",document.Q.feedback);
	      add_rb("feedbackformat",document.Q.feedbackformat);
	      addtag("image",document.Q.image.value);

	      //-----------------------------
	      if ( "mc"==QUESTIONTYPE)
		collectMCData();
	      else if ( "prg"==QUESTIONTYPE)    
		collectPrgData();
	      //-----------------------------

	      document.question.detail.value+="</detail>";
	      alert(document.question.detail.value);
	      //document.question.alert.value=document.question.detail.value;


	    }
	    ///////////////////////////////////////////////////////
	    ///////////////////////////////////////////////////////
	    ///////////////////////////////////////////////////////
	    ///////////////////////////////////////////////////////
	    
	    ]]>
	 </SCRIPT>
      </head>
      <BODY bgcolor="white">
	 
	 <xsl:apply-templates select="course/layouts"/>
	 <xsl:apply-templates select="course/function"/>
	 <xsl:choose>
	    <xsl:when test="/course/function='EditQuestion(xQuestionBank)'">
	       <xsl:variable name="action" >gs.admin.xQuestionBank</xsl:variable>
	       <xsl:variable name="edit" expr="'EditQuestion'"/>
	    </xsl:when>
	    <xsl:when test="/course/function='EditQuestion(xQuestions)'">
	       <xsl:variable name="action" >gs.admin.xQuestions</xsl:variable>
	       <xsl:variable name="edit" expr="'EditQuestion'"/>
	    </xsl:when>
	    <xsl:when test="/course/function='browseQuestion(xQuestionBank)'">
	       <xsl:variable name="action" >gs.admin.xQuestionBank</xsl:variable>
	       <xsl:variable name="edit" expr="'browse'"/>
	    </xsl:when>
	    <xsl:when test="/course/function='browseQuestion(xQuestions)'">
	       <xsl:variable name="action" >gs.admin.xQuestions</xsl:variable>
	       <xsl:variable name="edit" expr="'browse'"/>
	    </xsl:when>
	 </xsl:choose>  
     
	 <xsl:apply-templates select="course/quiz/question" mode="show"/>
	 
	 <form name="question"  onSubmit="collectData()" action="{/course/global/host}/{/course/global/servlet}/{$action}"
	    method="POST">
	    <input type="hidden" name="unum"     value="{/course/user/unum}"/>
	    <input type="hidden" name="course"   value="{/course/coursename}"/>
	    <input type="hidden" name="quizname" value="{/course/quiz/quizname}"/>  
	    <input type="hidden" name="qid"      value="{/course/quiz/question/qid}"/>   
	    <input type="hidden" name="qtitle"      value=""/>   
	    <input type="hidden" name="category"      value=""/>   
	    <input type="hidden" name="qtext"      value=""/>   
	    <input type="hidden" name="points"      value=""/>   
	    <input type="hidden" name="detail"   value=""/>
	    <input type="hidden" name="answer"   value=""/>
	    <input type="hidden" name="comm"     value="SAVE"/>
	    <xsl:if test="$edit='EditQuestion'">
	       <h1><font color="red">Edit: </font></h1>
	       
	       <b><font color="black" size="+1" FACE="Arial,Helvetica" >
		  <input type="button" name="acomm" value="NEW"  onClick="newq()"/>
		  <input type="submit" name="acomm" value="SAVE" />
		  <input type="button" name="acomm" value="SKIP" onClick="history.go(-1);" />
	       </font></b>
	    </xsl:if>
	 </form>
	    <xsl:if test="$edit='EditQuestion'">
	       <xsl:apply-templates select="course/quiz/question"/>
	    </xsl:if>
      </BODY>
   </HTML>
</xsl:template>
      <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
      <!--<><><><><><><><><><><><><> templates<><><><><><><><><><><><><><><><><><><><><><>-->
      <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->


<!-- ============================================================ -->
   <xsl:template match="question" mode="show">
      <xsl:sort select="qid"/>
      <xsl:variable name="questiontype" ><xsl:value-of select="type" /></xsl:variable>
	
      <h1><font color="red">Question: </font></h1>
      <table width="100%"><td bgcolor="#ffffcc">
	 <b><xsl:value-of select="/course/quiz/question/qid" />. 
	    <xsl:value-of select="/course/quiz/question/qtext" /></b>
	 
	 <form name="showq" 
	    action="{/course/global/host}/{/course/global/servlet}/gs.admin.xQGrader" 
	    method="POST" 
	    target="grade" >
	    <input type="hidden" name="unum"  value=""/>
	    <input type="hidden" name="course" value=""/>
	    <input type="hidden" name="quizname" value=""/>
	    <input type="hidden" name="qid" >  
	       <xsl:attribute name="value"><xsl:value-of select="/course/quiz/question/qid" /></xsl:attribute>
	    </input>
	    <input type="hidden" name="grade" value=""/>
	    <input type="hidden" name="comm" value=""/>
	    <xsl:call-template name="SHOW{$questiontype}"/>
	    <br/>
	    <input type="button" name="test" value="TEST" onClick="gradeQuestion(this.form.qid,this.form.ans{qid})"/>
	 </form>
      </td></table>
   </xsl:template>
   
<!-- ============================================================ -->
   <xsl:template name="SHOWmc">
    
      <xsl:choose>
	 <xsl:when test="detail/choice='1'">
	    <xsl:variable name="selectiontype" >RADIO</xsl:variable>
	 </xsl:when>
	 <xsl:otherwise>
	    <xsl:variable name="selectiontype" >CHECKBOX</xsl:variable>
	 </xsl:otherwise>
      </xsl:choose>
      
      <xsl:for-each select="detail/mcanswers/answer">
	 <input >  
	    <xsl:attribute name="TYPE"><xsl:value-of select="$selectiontype" /></xsl:attribute>
	    <xsl:attribute name="name">ans<xsl:value-of select="../../../qid" /></xsl:attribute>
	    <xsl:attribute name="value"><xsl:value-of select="text" /></xsl:attribute>
	    <space/><xsl:value-of select="text" />
	 </input>
	 <xsl:if test="../../alayout='vertical'"><br/></xsl:if>
      </xsl:for-each>

   </xsl:template>
<!-- ============================================================ -->
   <xsl:template name="SHOWprg">
    
      <textarea name="ans{qid}"  ROWS="5" COLS="50" wrap="physical" ></textarea>
     
   </xsl:template>

<!-- ============================================================ -->
   <xsl:template match="question" >
      <xsl:sort select="qid"/>
      
      <form name="Q">
	 <table bgcolor="red" > <th>
	    
	    <table bgcolor="yellow" cellpadding="6" border="5" > 
	       <tr>
		  <TH colspan="2" bgcolor="LemonChiffon" >		  
		     <xsl:value-of select="/course/coursename"/> <space/> <xsl:value-of select="/course/quiz/quizname"/> 
		     Question Information
		  </TH>
	       </tr>
	       <tr>
		  <td ><b>Question </b></td>
		  <td>  
		     <textarea name="qtext"  ROWS="3" COLS="68" wrap="physical" ><xsl:value-of select="/course/quiz/question/qtext" /></textarea>
		  </td>
	       </tr>
	       <tr>
		  <td ><b>Question Format </b></td>
		  <td>  
		     <input TYPE="RADIO"  NAME="format" VALUE="H"  > 
			<xsl:if test="detail/format='H'"><xsl:attribute name="CHECKED"/></xsl:if> 
			HTML
		     </input>
		     <input TYPE="RADIO"  NAME="format" VALUE="T"  > 
			<xsl:if test="detail/format='T'"><xsl:attribute name="CHECKED"/></xsl:if> 
			Text
		     </input>
		  </td>
	       </tr>
	       
	       <tr>
		  <td ><b>Question Title </b></td>
		  <td>  <input name="qtitle"  value="{qtitle}"></input></td>
	       </tr>
	       <tr>
		  <td ><b> Category</b></td>
		  <td>  <input name="category"  value="{category}"></input></td>
	       </tr>
	       <tr>
		  <td ><b> Points</b></td>
		  <td>  <input name="points"  value="{points}"></input></td>
	       </tr>
	       <tr>
		  <td ><b>FeedBack </b></td>
		  <td>  
		     <textarea name="feedback"  ROWS="3" COLS="68" wrap="physical" ><xsl:value-of select="/course/quiz/question/detail/feedback" /></textarea>
		  </td>
	       </tr>
	       <tr>
		  <td ><b>feedbackformat </b></td>
		  <td>		 
		     <input TYPE="RADIO"  NAME="feedbackformat" VALUE="H"  > 
			<xsl:if test="detail/feedbackformat='H'"><xsl:attribute name="CHECKED"/></xsl:if> 
			HTML
		     </input>
		     <input TYPE="RADIO"  NAME="feedbackformat" VALUE="T"  > 
			<xsl:if test="detail/feedbackformat='T'"><xsl:attribute name="CHECKED"/></xsl:if> 
			Text
		     </input>
		  </td>
	       </tr>
	       <tr>
		  <td><b>     Layout File             </b></td>
		  <td>  <input name="xslfile"  value="{xslfile}"></input> </td>
	       </tr>
	       <tr>
		  <td ><b>image </b></td>
		  <td>   
		     <input name="image"  ROWS="1" COLS="68" wrap="physical" value="{/course/quiz/question/image}" />
		  </td>
	       </tr>
	    </table>
	    
	 </th></table>
      </form>
      <xsl:apply-templates select="type"/>
   </xsl:template>

<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table>
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/question/@xname"/>
	      
	       <xsl:call-template name="xsllayout"/>
		
	    </th>
	 </tr>
      </table>
      
   </xsl:template>
<!-- *============================================================ -->   
   <xsl:template name="xsllayout" >
     
     <xsl:for-each select="question">
	<xsl:sort select="@xname" />
      [<A href="http://{@xfile}"><xsl:value-of select="@xname"/> </A>]
     </xsl:for-each>
   </xsl:template>


<!-- *============================================================ -->   
   <xsl:template match="course/function" >
      <SCRIPT LANGUAGE="JavaScript">
	 ///document.quiz.format.value="{/course/quiz/question/detail/format}";
	 // document.quiz.format.value="T";
      </SCRIPT>
   </xsl:template>
<!-- *############################################################ -->   
<!-- *############################################################ -->   
<!-- *============================================================ -->   
   <xsl:template match="type[.='mc']">
      
      <form name="A"> 
	 <table bgcolor="red" ><th><table bgcolor="yellow" cellpadding="6" border="5" > 
	    
	    <tr>
	       <td colspan="2">
		  <b>Multiple Choice Answer Settings:</b>
		  <table CELLSPACING="0" CELLPADDING="0" >
		     <tr>
			<td><b>Allow Students to Choose:</b></td>
			<td>
			   <xsl:choose>
			      <xsl:when test="/course/quiz/question/detail/choice='1'">
				 <input TYPE="RADIO" NAME="choice" VALUE="1" CHECKED="" /> 
				 One Answer 
				 <input TYPE="RADIO" NAME="choice"  VALUE="N" />   
				 Multiple Answers
			      </xsl:when>
			      <xsl:otherwise>
				 <input TYPE="RADIO" NAME="choice" VALUE="1"  /> 
				 One Answer 
				 <input TYPE="RADIO" NAME="choice"  VALUE="N" CHECKED="" />  
				 Multiple Answers
			      </xsl:otherwise>
			   </xsl:choose>
			</td>
		     </tr>
		     <tr>
			<td><b>Scoring:</b></td>
			<td>
			   <xsl:choose>
			      <xsl:when test="/course/quiz/question/detail/scoring='cumulative'">
				 <input TYPE="RADIO" NAME="scoring" VALUE="cumulative" CHECKED="" /> 
				 Cumulative
				 <input TYPE="RADIO" NAME="scoring"  VALUE="nc" />  
				 All or Nothing
			      </xsl:when>
			      <xsl:otherwise>
				 <input TYPE="RADIO" NAME="scoring" VALUE="cumulative"  />
				 Cumulative
				 <input TYPE="RADIO" NAME="scoring"  VALUE="nc" CHECKED="" /> 
				 All or Nothing
			      </xsl:otherwise>
			   </xsl:choose>
			</td>
		     </tr>
		     <tr>
			<td><b>Allow Negative Score:</b></td>
			<td>
			   <xsl:choose>
			      <xsl:when test="/course/quiz/question/detail/neg='1'">
				 <input TYPE="RADIO" NAME="neg" VALUE="1" CHECKED="" />   
				 Yes 
				 <input TYPE="RADIO" NAME="neg"  VALUE="N" />     
				 No
			      </xsl:when>
			      <xsl:otherwise>
				 <input TYPE="RADIO" NAME="neg" VALUE="1"  />   
				 Yes 
				 <input TYPE="RADIO" NAME="neg"  VALUE="N" CHECKED="" />    
				 No
			      </xsl:otherwise>
			   </xsl:choose>
			</td>
		     </tr>
		     <tr>
			<td><b>Answer Layout:</b></td>
			<td>
			   <xsl:choose>
			      <xsl:when test="/course/quiz/question/detail/alayout='vertical'">
				 <input TYPE="RADIO" NAME="alayout" VALUE="vertical" CHECKED="" />   
				 Vertical 
				 <input TYPE="RADIO" NAME="alayout"  VALUE="horizontal" />     
				 Horizontal
			      </xsl:when>
			      <xsl:otherwise>
				 <input TYPE="RADIO" NAME="alayout" VALUE="vertical"  />    
				 Vertical 
				 <input TYPE="RADIO" NAME="alayout"  VALUE="horizontal" CHECKED="" />   
				 Horizontal  
			      </xsl:otherwise>
			   </xsl:choose>
			</td>
		     </tr>
		  </table>
	       </td>
	    </tr>
	    <tr><td  COLSPAN="2"><input type="hidden" name="numofanswers" value="0"/>
	    <xsl:apply-templates select="/course/quiz/question/detail/mcanswers"/></td></tr>
	    <tr>
	       <td COLSPAN="2"><b><input TYPE="button" NAME="aaaa" VALUE="ADD NEW ANSWER" onClick="addANSWER()"/></b> </td>
	    </tr>
	    
	 </table></th></table> 
      </form>
      
   </xsl:template>
<!-- *============================================================ -->   
   <xsl:template match="/course/quiz/question/detail/mcanswers">
      
      <xsl:variable name="myc">0</xsl:variable>
      <tr>
	 <td COLSPAN="2">
	    <b>Answers:</b>
	 </td>
      </tr>
      <xsl:for-each select="answer" >
	 <tr>
	    <td COLSPAN="2">
	       <table CELLPADDING="0" >
		  <tr>
		     <td>
			<xsl:number name="mycounter" level="single" count="answer" format="1. "/>
			<input TYPE="button"  VALUE="DELETE THIS ANSWER" >
			   <xsl:attribute name="onClick">deleteANSWER(<xsl:number/>);</xsl:attribute> 
			</input>
			<br/><b>Value<font color="gray">(%)</font>:</b>
			<input TYPE="TEXT" SIZE="4"  value="{val}"><xsl:attribute name="name">val_<xsl:number/></xsl:attribute></input>
			<b>Answer: </b>
			<br/>
			<textarea COLS="60" ROWS="3" wrap="physical" ><xsl:attribute name="name">text_<xsl:number/></xsl:attribute><xsl:value-of select="text"/>  </textarea>
			<br/><b>Format:</b>
			<input TYPE="RADIO"  VALUE="H" > 
			   <xsl:attribute name="name">format_<xsl:number/></xsl:attribute>
			   <xsl:if test="format='H'"><xsl:attribute name="CHECKED"></xsl:attribute></xsl:if>
			   HTML
			</input>
			<input TYPE="RADIO"  VALUE="T" > 
			   <xsl:attribute name="name">format_<xsl:number/></xsl:attribute>
			   <xsl:if test="format='T'"><xsl:attribute name="CHECKED"></xsl:attribute></xsl:if>
			   TEXT
			</input>
			<br/><b>Feedback :</b>
			<br/>
			<textarea COLS="60" ROWS="3" wrap="physical" >
			   <xsl:attribute name="name">feedback_<xsl:number/></xsl:attribute>
			   <xsl:value-of select="feedback"/> 
			</textarea>
			<br/><b>Format:</b>
			<input TYPE="RADIO"  VALUE="H" > 
			   <xsl:attribute name="name">fformat_<xsl:number/></xsl:attribute>
			   <xsl:if test="fformat='H'"><xsl:attribute name="CHECKED"></xsl:attribute></xsl:if>
			   HTML
			</input>
			<input TYPE="RADIO"  VALUE="T" > 
			   <xsl:attribute name="name">fformat_<xsl:number/></xsl:attribute>
			   <xsl:if test="fformat='T'"><xsl:attribute name="CHECKED"></xsl:attribute></xsl:if>
			   TEXT
			</input>
			<input type="hidden" name="numofanswers"><xsl:attribute name="value"><xsl:number/></xsl:attribute></input>
			
		     </td>
		  </tr>
	       </table>
	    </td>
	 </tr>
      </xsl:for-each>
   </xsl:template>
   
<!-- *============================================================ -->   
   <xsl:template match="type[.='prg']">
      Paragraph Question.
   </xsl:template>

   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><> end  <><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->

</xsl:stylesheet>

