<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns="http://www.w3.org/TR/REC-html40" 
   xmlns:lxslt="http://xsl.lotus.com/"
result-ns="">
   
<!-- ============================================================ -->
   <xsl:template match="/"> 
<!-- ============================================================ -->
      <HTML>
	 <head>
	    <SCRIPT LANGUAGE="JavaScript"><![CDATA[
	       function switchQuestions(){
	       //alert("reload");
	       }
	       ]]>
	    </SCRIPT>
	 </head>
	 <BODY bgcolor="yellow">
	    <center>
	       <xsl:apply-templates select="course/layouts"/>
	       <!-- xsl:call-template name="header"/-->
		  <h1>  <xsl:value-of select="course/coursename"/>
		  quiz to assignment transfer
	       </h1>
	   
	       <TABLE WIDTH="100%" ALIGN="center" BORDER="0">
		  <TR>
		     <td bgcolor="yellow">TRANSFER</td>
		     <td bgcolor="blue"><b><font color="yellow" face="Helvetica"> Assignment</font></b> </td>
		     <td bgcolor="blue"><b><font color="yellow" face="Helvetica"> grbase</font></b></td>
		     <td bgcolor="blue"><b><font color="yellow" face="Helvetica"> weight</font></b></td>
		     <td bgcolor="blue"><b><font color="yellow" face="Helvetica"> partials</font></b></td>
		     <td bgcolor="blue"><b><font color="yellow" face="Helvetica"> publish</font></b></td>
		     <td bgcolor="blue"><b><font color="yellow" face="Helvetica"> URL </font></b></td>
		     <td bgcolor="blue"><b><font color="yellow" face="Helvetica"> comment URL</font></b></td>
		     <td bgcolor="blue"><b><font color="yellow" face="Helvetica"> notes</font></b></td>
		    
		  </TR>
		  <form>
		     <xsl:apply-templates select="course/assignments/assignment">
			<xsl:sort select="assignid"/>
		     </xsl:apply-templates>
		  </form>
		  <TR><td bgcolor="yellow"></td>
		     <TH colspan="8" bgcolor="blue"> <b><font color="yellow" face="Helvetica">
			Please Click on TRANSFER   to transfer quiz grades into the following assignment grades.</font></b>
		     </TH> 
		  </TR>

	       </TABLE>
	       <p>
	       <i>TRANSFER: changes all the assignment grades ONLY for those students who took the exam.<br/>This means
that you may merge grades of two exam group in one  assignment. For example, if 5 students missed the exam, and took makeup exam, transferring on the same assignment from the makeup exam  will not change the real exam grades but only add these 5 student grades. <br/>Replace mode is for overwriting any grade information. Make-up mode is only for adding new grades existing in this quiz. If a student took both exams, make-up mode can not replace previous grade, however, replace mode disregard previous quiz grade.  </i>
	       </p>
	    </center>
	 </BODY>
      </HTML>
   </xsl:template>
   
   <xsl:variable name="HEADER"><xsl:value-of select="/course/global/host"/>/<xsl:value-of select="/course/global/servlet"/>/gs.admin.</xsl:variable>
   <xsl:variable name="TAIL">?unum=<xsl:value-of select="/course/user/unum"/>&amp;course=<xsl:value-of select="/course/coursename"/>&amp;quizname=<xsl:value-of select="/course/quiz/quizname"/>&amp;assignid=</xsl:variable>

   <xsl:variable name="assignment"  ><xsl:value-of select="$HEADER"/>xQuizzes<xsl:value-of select="$TAIL"/></xsl:variable>
   <xsl:variable name="image" ><xsl:value-of select="/course/global/images"/>/</xsl:variable>
  
<!-- =======================================<font face="helvetica" color="white"  size="-2">Results</font>===================== -->
   <xsl:template match="assignment" >
      <tr>
	 <td align="center" bgcolor="yellow">
	    <b><small>
	       <A href="{$assignment}{assignid}&amp;type={type}&amp;mode=OW&amp;comm=INCLUDEINTOAVERAGE2" target="info"><font color="red">Replace</font></A> 
	       <A href="{$assignment}{assignid}&amp;type={type}&amp;mode=MU&amp;comm=INCLUDEINTOAVERAGE2" target="info"><font color="green">Makeup</font></A> 
	      
	    </small></b>
	 </td>
	 <td bgcolor="#ff9900"> <xsl:value-of select="type"/><xsl:value-of select="assignid"/> </td>
	 <td bgcolor="#ff9900"> <xsl:value-of select="grbase"/></td>
	 <td bgcolor="#ff9900"> <xsl:value-of select="weight"/></td>
	 <td bgcolor="#ff9900"> <xsl:value-of select="partials"/></td>
	 <td bgcolor="#ff9900"> <xsl:value-of select="publish"/></td>
	 <td bgcolor="#ff9900"> <A href="{url}">assignment</A></td>
	 <td bgcolor="#ff9900"> <A href="{commenturl}">comments</A></td>
	 <td bgcolor="#ff9900"> <xsl:value-of select="notes"/></td>
      </tr>
   </xsl:template>
   

<!-- *=================================<font face="helvetica" color="yellow" size="-2">Questions</font>=========================== -->
   <xsl:template match="course/layouts" >
      
      <table width="100%">
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/quizINCLUDE/@xname"/>
	       <br>
	       </br> 
	       <xsl:apply-templates select="quizINCLUDE">
		  <xsl:sort select="@xname" />
	       </xsl:apply-templates>
	    </th>
	 </tr>
      </table>

   </xsl:template>
<!-- *============================================================ -->   
   <xsl:template match="quizINCLUDE" >

      [<A href="http://{./@xfile}"> <xsl:value-of select="./@xname"/>  </A>]

   </xsl:template>
   
<!-- *============================================================ -->   
   <xsl:template name="header" >
      <table width="100%">
	 <tr>
	    <td bgcolor="blue" align="center">
	       <font face="helvetica" size="+1" color="white"> 
		  <b>ASSIGNMENTS </b>
	       </font>
	    </td>
	 </tr>
	 <tr> <form><td bgcolor="white" align="center">
	   <font color="blue">
	       <b>
		  <samp><input type="button" value="ADD" onClick="add()"/>
		  <a href="{/course/global/help}/quiz.html" target="help">
		     <img src="{/course/global/images}/mans.gif" border="0" align="ABSCENTER"/>
		  </a>
		  <input type="button" value="BACK" onClick="top.history.back()"/></samp> 
	       </b></font>
	 </td> </form></tr>
      </table>
      
   </xsl:template>
   
</xsl:stylesheet>





