<?xml version="1.0"?> 

<!--xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns="http://www.w3.org/TR/REC-html40" 
   xmlns:lxslt="http://xsl.lotus.com/"
result-ns="">


   
   
   <xsl:template match="/">
      <HTML>
	 <head>
	    
	    <SCRIPT LANGUAGE="JavaScript">
	       var first=true;
	       var host="<xsl:value-of select="course/global/host"/>/<xsl:value-of select="course/global/servlet"/>";
	       var quizname="<xsl:value-of select="course/quiz/quizname"/>";
	       var coursename="<xsl:value-of select="course/coursename"/>";
	       var user="<xsl:value-of select="course/user/unum"/>";

	       <![CDATA[
	       function flag(qid){
	          if (first)
	                if( confirm("Do you really want to submit the exam?"))
	                      document.location=host+"/gs.admin.xTakeExam?comm=LISTQUESTIONS&unum="+user+"&course="+coursename+"&quizname="+quizname;
	          first=false;
	       }
	
		  function switchQuestions(){}
		  function prepareExam(){}
	  function getFromDB(){
		  document.location=host+"/gs.admin.xTakeExam?comm=QUESTIONBANKLIST&unum="+user+"&course="+coursename+"&quizname="+quizname;
}
		  function add(){
		  top.info.document.location=host+"/gs.admin.xQuestionBank?comm=NEW&unum="+user+"&course="+coursename+"&quizname="+quizname;
}
		  ]]>

	    </SCRIPT>
	  
		
	 </head>
	 <BODY bgcolor="cyan">
	    <xsl:apply-templates select="course/layouts"/>
	    <xsl:call-template name="header"/>
	    <TABLE WIDTH="100%" ALIGN="center" BORDER="1">
	       <TR>
		  <TH colspan="4" bgcolor="LemonChiffon"> Question List </TH> 
	       </TR>
	       
	       <xsl:apply-templates select="course/questionbank/question" >
		        <xsl:sort select="category,qtitle"/>
			<xsl:sort select="qid" data-type="number"/>
		     </xsl:apply-templates>

	    </TABLE>

	 </BODY>
      </HTML>
   </xsl:template>

   <xsl:variable name="burl" ><xsl:value-of select="/course/global/host"/>/<xsl:value-of select="/course/global/servlet"/>/gs.admin.xQuestionBank?unum=<xsl:value-of select="/course/user/unum"/>&amp;course=<xsl:value-of select="/course/coursename"/>&amp;quizname=<xsl:value-of select="/course/quiz/quizname"/>&amp;qid=</xsl:variable>
   <xsl:variable name="image" ><xsl:value-of select="/course/global/images"/>/</xsl:variable>


   
<!-- =================================<font color="yellow"><b>Q</b></font>=========================== -->
   <xsl:template match="question" >

      <xsl:variable name="url" ><xsl:value-of select="$burl"/><xsl:value-of select="qid"/>&amp;comm=</xsl:variable>     
	 <tr>
	    <td align="center"><font color="red" size="-1">
	       
	       <A href="{$url}OPENCATEGORY" 
		  onClick="switchQuestions();top.menu.document.location='{$url}LISTQUESTIONS';"
		  >
		  <xsl:value-of select="category"/>
	       </A></font>
	    </td>
	    <td bgcolor="LemonChiffon">
	       <A href="{$url}METADATA" target="info"><xsl:value-of select="qid"/>. <xsl:value-of select="qtitle"/></A>
	    </td>
	    <td align="center" bgcolor="darkblue">
	       <A href="{$url}QUESTION"  target="info"><img src="{$image}editquestion.gif" border="0" align="ABSCENTER" alt="Prepare Question"/></A>
	    </td>
	    <td align="center" bgcolor="blue">
	       <A href="{$url}PICK"  target="message" 
		  onClick='open ("","message","scrollbars=1,resizable=1,width=300,height=200");'><img src="{$image}recycleback.gif" border="0" align="ABSCENTER" alt="Use in quiz"/></A>
	    </td>
	 </tr>

   </xsl:template>
   

<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table width="100%">
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/questionLIST/@xname"/>
	       <br>
	       </br> 
	       <xsl:apply-templates select="questionLIST">
		  <xsl:sort select="@xname" />
	       </xsl:apply-templates>
	    </th>
	 </tr>
      </table>

   </xsl:template>

<!-- *============================================================ -->   
   <xsl:template match="questionLIST" >

      [<A href="http://{./@xfile}"> <xsl:value-of select="./@xname"/>  </A>]

   </xsl:template>

<!-- *============================================================ -->   

<!-- *============================================================ -->   
   <xsl:template name="header" >

      <table width="100%">
	 <tr><td bgcolor="blue" align="center"><font face="helvetica" size="+1" color="white"> <b>Question Bank </b></font></td></tr>
	    <form>
	 <tr><td bgcolor="white" align="center">
	       <font color="blue">
		  <b>
		     <samp><input type="button" value="ADD" onClick="add()"/>		     
		     <a href="{/course/global/help}/question.html" target="help">
			<img src="{$image}mans.gif" border="0" align="ABSCENTER"/>
		     </a>
		     <input type="button" value="BACK" onClick=" self.history.go(-1); "/>
		     <input type="button" value="RELOAD" onClick=" document.location.reload(); "/></samp> 
		  </b>
	       </font>
	 </td></tr>
	    </form>
      </table>
      
   </xsl:template>

<!-- *============================================================ -->   


   
</xsl:stylesheet>

