<?xml version="1.0"?> 

<!--xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns="http://www.w3.org/TR/REC-html40" 
   xmlns:lxslt="http://xsl.lotus.com/"
result-ns="">
   
   <xsl:template match="/">
      <HTML>
	 <head><SCRIPT LANGUAGE="JavaScript"><![CDATA[

	       function confirmation(){
	       if (confirm("\n\nYour confirmation is required. \nDeleting question will lost all the stored information related with the question.\n\nDo you really want to delete the question '"+this.document.quiz.qid.value+"' ?") ) {
	       if (confirm("\n\nAre you sure to remove all the records of "+this.document.quiz.qid.value+"?") ) {
	       
	       this.document.quiz.dcomm.value="DELETE";
	       this.document.quiz.submit();
	       return;
	       }
}  alert("not deleting");
	       
	       }

	    ]]>
	 </SCRIPT></head>
	 <BODY bgcolor="cyan">
	    <xsl:apply-templates select="course/layouts"/>
	    <xsl:apply-templates select="course/function"/>
	    <form name="quiz" action="{/course/global/host}/{/course/global/servlet}/gs.admin.xQuestionBank"
	       method="GET">
	       <input type="hidden" name="unum"  value="{/course/user/unum}"/>
	       <input type="hidden" name="course" value="{/course/coursename}"/>
	       <input type="hidden" name="quizname" value="{/course/quiz/quizname}"/>
	       <input type="hidden" name="qid" value="{/course/quiz/question/qid}"/>
	       <b>
		  <font color="black" size="+1" FACE="Arial,Helvetica" >
		     <input type="submit" name="comm" value="NEW" />
		     <font color="red" >
			<input type="button" name="delete" value="DELETE" onClick="confirmation()"/>
			<input type="hidden" name="dcomm" value="no"></input> 
		     </font>
		     <input type="submit" name="comm" value="EDIT" />
		     <input type="button" name="comm" value="SKIP" onClick="history.go(-1);" />
		  </font>
	       </b>
	    </form>
	    <xsl:apply-templates select="course/quiz/question"/>
	 </BODY>
      </HTML>
   </xsl:template>


   
<!-- ============================================================ -->
   <xsl:template match="question" >
      <xsl:sort select="qid"/>
      <table bgcolor="brown" >
	 <th>
	    <table bgcolor="yellow" cellpadding="6" border="5" >
	       <tr>
		  <TH colspan="2" bgcolor="LemonChiffon" > 
		     Question
		     Information
		  </TH>
	       </tr>
	       <tr><td  bgcolor="white"><b>Question ID </b></td><td  bgcolor="white"><xsl:value-of select="qid"/> </td></tr>
	       <tr><td  bgcolor="white"><b>Question Title  </b></td><td  bgcolor="white"><xsl:value-of select="qtitle"/> </td></tr>
	       <tr><td bgcolor="white"><b>  Category   </b></td><td  bgcolor="white"> <xsl:value-of select="category"/>  </td></tr>
	       <tr><td bgcolor="white"><b>   type  </b></td><td  bgcolor="white"><xsl:if test="type='prg'">Paragraph</xsl:if><xsl:if test="type='mc'">Multiple Choice</xsl:if></td></tr>
	       <tr><td bgcolor="white"><b>    points            </b></td><td  bgcolor="white"> <xsl:value-of select="points"/>  </td></tr>
	       <tr><td bgcolor="white"><b>  Question Text  </b></td><td  bgcolor="white"> <xsl:value-of select="qtext"/>  </td></tr>
	       <xsl:apply-templates select="settings/option"/>
	       <xsl:apply-templates select="additional"/>
	       
	       
	    </table>
	 </th>
      </table>
   </xsl:template>
<!-- *============================================================ -->   
   <xsl:template match="settings/option" >
      <tr><td><b><xsl:value-of select="name"/></b></td>
      <td> <xsl:value-of select="value"/></td></tr>
   </xsl:template>
   

<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table>
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/question/@xname"/>
	       <br>
	       </br> 
	       <xsl:call-template  name="xsllayout"/> 
		
	    </th>
	 </tr>
      </table>

   </xsl:template>
<!-- *============================================================ -->   
   <xsl:template name="xsllayout" >

     <xsl:for-each select="question">
	<xsl:sort select="@xname" />
      [<A href="http://{@xfile}"> <xsl:value-of select="@xname"/> </A>]
     </xsl:for-each>

   </xsl:template>

<!-- *============================================================ -->   
   <xsl:template match="additional" >

   <tr><td><b>     Points   additional          </b></td><td> additional                                 </td></tr>
   </xsl:template>

<!-- *============================================================ -->   
   <xsl:template match="course/function" >

      <SCRIPT LANGUAGE="JavaScript">
	 var func='<xsl:value-of select="/course/function"/>';
	 if ('addQuestion'==func || 'updateQuestion'==func )
	      top.menu.document.location.reload();
      </SCRIPT>



   </xsl:template>

   
</xsl:stylesheet>











